> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出路由偏好设置

> 列出调用方可见的所有路由工作室偏好设置。

返回由调用方创建的所有偏好设置，以及当前组织中所有团队级偏好设置。每条偏好设置都包含一组关键词规则、少样本示例，以及针对各模式的置信度下限覆盖项，用于让 Theo 的路由引擎向调用方所在领域倾斜。

隐藏的按密钥偏好设置（支撑按密钥路由规则界面的记录）不包含在此列表中——请改用 [`/api/v1/keys/{id}/routing-rules`](/api-reference/routing-preferences/key-routing-rules) 来管理它们。

## 身份验证

需要具备 `billing` API 密钥权限范围的 Bearer 令牌。请参阅[身份验证](/api-reference/authentication)。

## 请求示例

<CodeGroup>
  ```bash curl theme={null}
  curl https://www.hitheo.ai/api/v1/routing-preferences \
    -H "Authorization: Bearer $THEO_API_KEY"
  ```

  ```typescript SDK theme={null}
  const prefs = await theo.routingPreferences.list();
  ```
</CodeGroup>

## 响应

<ResponseField name="routing_preferences" type="object[]">
  偏好设置对象数组。每个偏好设置包含 `id`、`name`、`description`、`user_id`、`org_id`、`enabled`、`is_default`、`rules`、`examples` 以及 `confidence_floor_overrides`。
</ResponseField>

### 响应示例

```json theme={null}
{
  "routing_preferences": [
    {
      "id": "1f4f2c1a-22ce-4b07-9c0b-9c4f4b9b1d2e",
      "name": "ContractIQ Legal",
      "description": "Contract terms get the analytical engine.",
      "user_id": "user_abc",
      "org_id": null,
      "enabled": true,
      "is_default": false,
      "rules": [
        {
          "id": "r_a4b8c01x9y",
          "pattern": "\\b(clause|provision|indemnity|warranty)\\b",
          "target_mode": "think",
          "confidence": 0.92,
          "description": "Contract terms get the analytical engine."
        }
      ],
      "examples": [
        { "prompt": "Look at this clause", "expected_mode": "think" }
      ],
      "confidence_floor_overrides": {
        "think": 0.65
      }
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.